Decembra 2018 bo 57 % WordPress strani postalo manj varnih

Več kot polovica vseh WordPress strani za svoje delovanje uporablja PHP verzije 5.6 in 7.0, ki pa bosta z decembrom letošnjega leta prenehali prejemati varnostne posodobitve. Ta sprememba lahko pri določenih spletnih straneh vpliva na upad prometa in slabše uvrščanje v iskalnikih!

Toda brez skrbi, za vse spletne strani, ki gostujejo na naših strežnikih imamo vedno na voljo najnovejše verzije PHP.

Poskrbljeno pa je tudi za tiste, ki uporabljajo starejše php različice. Na naših strežnikih uporabljamo operacijskih sistem CloudLinux, ki s HardenedPHP skrbi tudi za podporo starejšim in s strani php.community-ja nepodprtim verzijam php. Med njimi so še vedno široko uporabljane različice 5.2, 5.3, 5.4 in 5.5.

S tem člankom vam bomo pomagali k razumevanju PHP-ja in vas vodili čez postopek zamenjave na najnovejšo različico.

Kaj sploh je PHP?

PHP je programski jezik, ki se uporablja za razvoj spletnih strani. PHP obstaja v različnih verzijah, vsaka naslednja pa prinaša posodobitve in izboljšave v primerjavi s prejšnjimi verzijami. Z vsako posodobitvijo PHP-ja se posodobijo tudi aplikacije (kot na primer WordPress), ki PHP uporabljajo za svoje delovanje.

Kdaj se bodo varnostne posodobitve nehale izvajati?

  • Posodobitve za PHP 5.6 se končujejo 31. decembra 2018
  • Posodobitve za PHP 7.0 se končujejo 3. decembra 2018

Kaj se zgodi, če PHP verzije ne posodobim?

Vse spletne strani, ki ne bodo posodobljene na najnovejšo verzijo PHP-ja, bodo postale manj varne in s tem ranljive za hekerske vdore. Sčasoma bodo na zastarelih PHP verzijah prenehale delovati tudi aplikacije in vtičniki.

Če je vaša spletna stran postavljena z WordPressom, je nujno, da preverite vašo PHP verzijo in poskrbite za posodobitev.

Kako ugotovim, katero verzijo PHP-ja uporabljam?

1. Najlažji način za preverbo PHP verzije je preko nadzorne plošče cPanel v katero se prijavite preko uporabniških strani na domovanje.com.

2. V nadzorni plošči boste našli ikono Select PHP Version na katero kliknete.

3. Odprejo se vam PHP nastavitve, kjer je z oranžno napisana trenutna PHP verzija, ki jo uporabljate.

Kako posodobim PHP na zadnjo verzijo?

1. Preverite, da je vaš WordPress z vsemi vtičniki posodobljen na zadnjo verzijo. Če kateri izmed vtičnikov, ki ga uporabljate, že dolgo časa ni bil posodobljen, obiščite spletno stran razvijalca in preverite, če je kompatibilen z zadnjo verzijo PHP-ja (7.2). Če vtičnik ni kompatibilen s PHP 7.2, vam predlagamo, da ga zamenjate za drug podoben vtičnik, saj zastareli vtičniki lahko predstavljajo veliko varnostno tveganje.

2. V naslednjem koraku se zopet prijavite v nadzorno ploščo cPanel ter kliknite ikono “Select PHP version”.

3. Iz spustnega menija izberite najnovejšo verzijo, kliknite na gumb “Set as current” in spodaj še “Save”.

4. Preverite delovanje vaše spletne strani. Če karkoli na vaši spletni strani ne dela, vam predlagamo, da začasno PHP verzijo nastavite nazaj na prejšnjo vrednost ter zopet preverite kompatibilnost vtičnikov s PHP 7.2.

Imate še kakšno vprašanje glede zamenjave PHP verzije?

Če potrebujete pomoč, nam lahko pišete tudi na info@domovanje.com. Naša ekipa vam lahko pomaga tudi pri posodobitvi WordPress-a, vtičnikov ali pa nadgradnje in popravke uredi namesto vas.

Podobni članki

Dodaj odgovor

Vaš e-naslov ne bo objavljen. * označuje zahtevana polja